Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.application
Class Application

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.application.Application

    public class Application

extends Provisionable

This class represents an application in the EAC. This class does not interact with, or know about, hosts or components associated with a provisioned application in the EAC. Instead, this class interacts with the application as an empty shell, and handles provisioning from that perspective.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`Application()` Default construcor.

Method Summary
`boolean` | `isDefined()` Checks whether the application is defined in the EAC.
`boolean` | `isDefinitionChanged()` Returns true if the application definition has changed.
`void` | `removeDefinition()` Removes the application from the EAC, forcing the termination and removal of components.
`void` | `setDefinition()` Defines the (empty) application in the EAC.
`void` | `updateDefinition()` Updates the application definition.

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

  Default construcor.

Method Detail

### isDefined

    public boolean isDefined()
                      throws EacCommunicationException,
                             EacProvisioningException

  Checks whether the application is defined in the EAC.

  Specified by:
    `isDefined` in class `Provisionable`
  Returns:
    Returns true if the application is provisioned.
  Throws:
    `EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `EacProvisioningException` - If an error occurs while trying to retrieve the app definition from the EAC.

### setDefinition

    public void setDefinition()
                       throws EacCommunicationException

  Defines the (empty) application in the EAC.

  Specified by:
    `setDefinition` in class `Provisionable`
  Throws:
    `EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.

### removeDefinition

    public void removeDefinition()
                          throws EacCommunicationException

  Removes the application from the EAC, forcing the termination and removal of components.

  Specified by:
    `removeDefinition` in class `Provisionable`
  Throws:
    `EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.

### isDefinitionChanged

    public boolean isDefinitionChanged()
                                throws EacCommunicationException,
                                       EacProvisioningException

  Returns true if the application definition has changed. As an application is either defined or not defined, this method only returns true if the application is undefined. This method does not check for changes in the hosts/components associated with this application in the EAC.

  Specified by:
    `isDefinitionChanged` in class `Provisionable`
  Returns:
    True if the object's definition has changed.
  Throws:
    `EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.
    `EacProvisioningException` - If an error occurs while trying to retrieve the app definition from the EAC.

### updateDefinition

    public void updateDefinition()
                          throws EacCommunicationException

  Updates the application definition. This method simply removes and re-adds an app definition. Note that this method makes no attempt to identify hosts/components associated with the application and will not re-define or re-start components after the app is re-defined.

  Specified by:
    `updateDefinition` in class `Provisionable`
  Throws:
    `EacCommunicationException` - If a communication error occurs while retrieving the provisioning port.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500